%define pkgname actionpack

Name: ruby-%pkgname
Version: 1.13.6
Release: alt1
Summary: Web-flow and rendering framework putting the VC in MVC.
License: MIT
Group: Development/Ruby
Url: http://rubyforge.org/projects/actionpack/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

# Sources from http://rubyforge.org/frs/?group_id=361 (http://rubyforge.org/projects/actionmailer/)
Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

BuildArch: noarch

# TODO for 2.x: remove lib/action_controller/vendor/ and package:
#  http://rubyforge.org/projects/scrapi (html-scanner)
Requires: ruby-stdlibs, ruby-activesupport = 1.4.4

BuildRequires: ruby >= 1.8.1-alt9, libruby-devel

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on enabling
easy unit/integration testing that doesn't require a browser.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q -n %pkgname-%version
%patch -p1

%install
DESTDIR=%buildroot ruby -rvendor-specific install.rb
%rdoc lib/

%pre
find %ruby_sitelibdir/action_controller/ -mindepth 1 -type d -empty -print0 | xargs -r0 rm -rf
find %ruby_sitelibdir/action_view/ -mindepth 1 -type d -empty -print0 | xargs -r0 rm -rf

%files
%doc CHANGELOG README
%ruby_sitelibdir/*

%files doc
%doc examples
%ruby_ri_sitedir/Action*

%changelog
* Sun Dec 09 2007 Sir Raorn <raorn@altlinux.ru> 1.13.6-alt1
- [1.13.6]

* Thu Jun 07 2007 Sir Raorn <raorn@altlinux.ru> 1.13.3-alt2.2
- Remove more dangling directories...

* Thu Jun 07 2007 Sir Raorn <raorn@altlinux.ru> 1.13.3-alt2.1
- Remove dangling directories before install

* Thu Jun 07 2007 Sir Raorn <raorn@altlinux.ru> 1.13.3-alt2
- Oops, jnly *.rb were packaged as files

* Wed May 23 2007 Sir Raorn <raorn@altlinux.ru> 1.13.3-alt1
- [1.13.3]

* Fri Aug 11 2006 Sir Raorn <raorn@altlinux.ru> 1.12.5-alt1
- [1.12.5]

* Thu Jul 06 2006 Sir Raorn <raorn@altlinux.ru> 1.12.3-alt1
- [1.12.3]

* Wed Mar 15 2006 Sir Raorn <raorn@altlinux.ru> 1.11.2-alt1
- 1.11.2
- Dropped rubygems

* Wed Aug 31 2005 Mikhail Yakshin <greycat@altlinux.ru> 1.9.1-alt1
- Initial build for ALT Linux

